commit bccb7ce801a8a6c4a9b8678386dbde936552da91
Author: Cherian Mathew <c.mathew@bgbm.org>
Date:   Thu Apr 11 15:49:36 2013 +0000

    added composite table dependency and classpath updates for 3.2.0-SNAPSHOT

diff --git a/eu.etaxonomy.taxeditor.cdmlib/.classpath b/eu.etaxonomy.taxeditor.cdmlib/.classpath
index c2d0d4d30..4f183cf1a 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/.classpath
+++ b/eu.etaxonomy.taxeditor.cdmlib/.classpath
@@ -14,18 +14,22 @@
 	<classpathentry exported="true" kind="lib" path="lib/c3p0-0.9.1.jar" sourcepath="lib/c3p0-0.9.1src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/cglib-2.1.3.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/commons-beanutils-1.7.0.jar" sourcepath="lib/commons-beanutils-1.7.0src.zip"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-codec-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-codec-1.7-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/commons-collections-3.2.jar" sourcepath="lib/commons-collections-3.2src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/commons-dbcp-1.2.2.jar" sourcepath="lib/commons-dbcp-1.2.2src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/commons-io-1.3.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/commons-io-1.4.jar" sourcepath="lib/commons-io-1.4src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/commons-lang-2.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-logging-1.0.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-logging-1.1.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-logging-1.1.1-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/commons-pool-1.3.jar" sourcepath="lib/commons-pool-1.3src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/dom4j-1.6.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/dozer-5.3.0.jar" sourcepath="lib/dozer-5.3.0src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/ehcache-1.2.3.jar" sourcepath="lib/ehcache-1.2.3src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/ejb3-persistence.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/ezmorph-1.0.4.jar" sourcepath="lib/ezmorph-1.0.4src.zip"/>
+	<classpathentry exported="true" kind="lib" path="lib/ezmorph-1.0.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ezmorph-1.0.6-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/fop.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/google-api-translate-java-0.92.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/h2-1.1.115.jar"/>
@@ -36,12 +40,15 @@
 	<classpathentry exported="true" kind="lib" path="lib/hibernate-tools-3.2.0.ga.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/hibernate-validator-4.0.0.CR1.jar" sourcepath="lib/hibernate-validator-4.0.0.CR1src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/hsqldb.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/httpclient-4.0.1.jar" sourcepath="lib/httpclient-4.0.1src.zip"/>
-	<classpathentry exported="true" kind="lib" path="lib/httpcore-4.0.1.jar" sourcepath="lib/httpcore-4.0.1src.zip"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpcore-4.2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpcore-4.2.3-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpclient-4.2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpclient-4.2.3-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/javassist.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jaxb-api-2.1.6.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jaxb-impl-2.1.6.jar" sourcepath="lib/jaxb-impl-2.1.6src.zip"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxen-1.1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxen-1.1.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxen-1.1.4-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jdbc-1.2.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jdbc2_0-stdext.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jdom.jar"/>
@@ -50,7 +57,8 @@
 	<classpathentry exported="true" kind="lib" path="lib/json-lib-2.2.3-jdk15.jar" sourcepath="lib/json-lib-2.2.3-jdk15src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/jsr250-api-1.0.jar" sourcepath="lib/jsr250-api-1.0src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/jta.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jtds-1.2.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jtds-1.3.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jtds-1.3.0-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/junit-4.8.1.jar" sourcepath="lib/junit-4.8.1src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/log4j-1.2.14.jar" sourcepath="lib/log4j-1.2.14src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/lsid-client-1.1.2.jar"/>
@@ -58,12 +66,9 @@
 	<classpathentry exported="true" kind="lib" path="lib/lucene-core-2.4.0.jar" sourcepath="lib/lucene-core-2.4.0src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/lucene-spellchecker-2.4.0.jar" sourcepath="lib/lucene-spellchecker-2.4.0src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/mail-1.4.jar" sourcepath="lib/mail-1.4src.zip"/>
-	<classpathentry exported="true" kind="lib" path="lib/msbase-2000.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/mssqlserver-2000.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/msutil-2000.3.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/mysql-connector-java-5.0.5.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/odfdom-0.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/opencsv-1.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/opencsv-2.3.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/org.apache.commons.codec-1.3.0.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/org.eclipse.equinox.common-3.6.0.v20100503.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/org.eclipse.osgi-3.6.2.R36x_v20110210.jar"/>
@@ -81,7 +86,8 @@
 	<classpathentry exported="true" kind="lib" path="lib/org.springframework.transaction-3.0.4.RELEASE.jar" sourcepath="lib/org.springframework.transaction-3.0.4.RELEASEsrc.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/org.springframework.web-3.0.4.RELEASE.jar" sourcepath="lib/org.springframework.web-3.0.4.RELEASEsrc.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/org.springframework.web.servlet-3.0.4.RELEASE.jar" sourcepath="lib/org.springframework.web.servlet-3.0.4.RELEASEsrc.zip"/>
-	<classpathentry exported="true" kind="lib" path="lib/poi-3.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-3.9.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-3.9-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/sanselan-0.97-incubator.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/saxon9he.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/serializer-2.7.0.jar"/>
@@ -93,7 +99,8 @@
 	<classpathentry exported="true" kind="lib" path="lib/spring-modules-lucene-0.8a.jar" sourcepath="lib/spring-modules-lucene-0.8asrc.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/spring-security-config-3.0.5.RELEASE.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/spring-security-core-3.0.5.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/wsdl4j-1.6.1.jar" sourcepath="lib/wsdl4j-1.6.1src.zip"/>
+	<classpathentry exported="true" kind="lib" path="lib/wsdl4j-1.6.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/wsdl4j-1.6.2-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/xalan-2.7.0.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/xercesImpl-2.7.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/xercesImpl.jar"/>
@@ -103,6 +110,8 @@
 	<classpathentry exported="true" kind="lib" path="lib/xml-resolver-1.2.jar" sourcepath="lib/xml-resolver-1.2src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/xmlgraphics-commons-1.3.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/xom-1.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xpp3-1.1.4c.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xpp3-1.1.4c-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/xsltc.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/xstream-1.3.1.jar" sourcepath="lib/xstream-1.3.1src.zip"/>
 	<classpathentry exported="true" kind="lib" path="lib/hibernate-envers-3.4.0-SNAPSHOT.jar" sourcepath="lib/hibernate-envers-3.4.0-SNAPSHOTsrc.zip"/>
@@ -110,21 +119,21 @@
 	<classpathentry exported="true" kind="lib" path="lib/postgresql-9.1-901.jdbc4.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/identificationKeyAPI-1.0-SNAPSHOT-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/identificationKeyAPI-1.0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-commons-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-commons-3.1.4-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-ext-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-ext-3.1.4-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-io-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-io-3.1.4-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-model-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-model-3.1.4-SNAPSHOT.jar" sourcepath="lib/cdmlib-model-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-persistence-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-persistence-3.1.4-SNAPSHOT.jar" sourcepath="lib/cdmlib-persistence-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-print-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-print-3.1.4-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-remote-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-remote-3.1.4-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-services-3.1.4-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-services-3.1.4-SNAPSHOT.jar" sourcepath="lib/cdmlib-services-3.1.4-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-commons-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-commons-3.2.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-ext-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-ext-3.2.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-io-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-io-3.2.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-model-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-model-3.2.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-persistence-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-persistence-3.2.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-print-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-print-3.2.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-remote-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-remote-3.2.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-services-3.2.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-services-3.2.0-SNAPSHOT.jar"/>
 	<classpathentry kind="output" path="target/classes"/>
 </classpath>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 10c96bb4a..11ba2e1e8 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -7,107 +7,33 @@ Eclipse-BundleShape: dir
 Export-Package: com.google.api,
  com.google.api.detect,
  com.google.api.translate,
- eu.etaxonomy.cdm,
- eu.etaxonomy.cdm.api.application;
-  uses:="eu.etaxonomy.cdm.api.service,
-   org.springframework.transaction,
-   org.hibernate,
-   eu.etaxonomy.cdm.api.conversation,
-   org.springframework.context.support,
-   org.springframework.security.authentication,
-   org.springframework.core.io,
-   eu.etaxonomy.cdm.database",
- eu.etaxonomy.cdm.api.conversation;
-  uses:="org.springframework.transaction,
-   eu.etaxonomy.cdm.persistence.hibernate,
-   org.hibernate,
-   javax.sql,
-   org.springframework.orm.hibernate3",
- eu.etaxonomy.cdm.api.facade;
-  uses:="eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.api.service,
-   eu.etaxonomy.cdm.strategy.cache.common,
-   eu.etaxonomy.cdm.model.location,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.media,
-   eu.etaxonomy.cdm.model.occurrence,
-   eu.etaxonomy.cdm.strategy,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.api.service;
-  uses:="org.apache.log4j,
-   eu.etaxonomy.cdm.api.application,
-   eu.etaxonomy.cdm.persistence.dao.agent,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.persistence.dao.common,
-   org.springframework.security.core,
-   eu.etaxonomy.cdm.persistence.dao.hibernate.common,
-   eu.etaxonomy.cdm.persistence.dao.name,
-   eu.etaxonomy.cdm.model.view,
-   eu.etaxonomy.cdm.strategy.cache.common,
-   eu.etaxonomy.cdm.api.service.config,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.persistence.dao.description,
-   eu.etaxonomy.cdm.model.taxon,
-   org.joda.time,
-   eu.etaxonomy.cdm.strategy.match,
-   eu.etaxonomy.cdm.persistence.view,
-   eu.etaxonomy.cdm.common,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.strategy.merge,
-   org.springframework.security.authentication.dao,
-   eu.etaxonomy.cdm.api.facade,
-   eu.etaxonomy.cdm.persistence.dao.reference,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.persistence.dao.occurrence,
-   org.springframework.context,
-   eu.etaxonomy.cdm.model.description,
-   org.springframework.security.authentication.encoding,
-   eu.etaxonomy.cdm.model.location,
-   eu.etaxonomy.cdm.model.media,
-   org.hibernate,
-   org.springframework.security.core.userdetails,
-   eu.etaxonomy.cdm.model.occurrence,
-   org.springframework.security.provisioning,
-   org.springframework.security.authentication,
-   eu.etaxonomy.cdm.persistence.dao.taxon,
-   eu.etaxonomy.cdm.persistence.query,
-   eu.etaxonomy.cdm.api.service.pager,
-   eu.etaxonomy.cdm.persistence.dao.media,
-   eu.etaxonomy.cdm.persistence.fetch,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.api.service.config;uses:="eu.etaxonomy.cdm.model.reference,eu.etaxonomy.cdm.model.taxon,eu.etaxonomy.cdm.persistence.query",
+ eu.etaxonomy.cdm.api.application,
+ eu.etaxonomy.cdm.api.conversation,
+ eu.etaxonomy.cdm.api.facade,
+ eu.etaxonomy.cdm.api.service,
+ eu.etaxonomy.cdm.api.service.config,
+ eu.etaxonomy.cdm.api.service.description,
  eu.etaxonomy.cdm.api.service.exception,
+ eu.etaxonomy.cdm.api.service.lsid,
+ eu.etaxonomy.cdm.api.service.lsid.impl,
  eu.etaxonomy.cdm.api.service.pager,
- eu.etaxonomy.cdm.api.service.pager.impl;uses:="eu.etaxonomy.cdm.api.service.pager",
- eu.etaxonomy.cdm.api.utility;uses:="eu.etaxonomy.cdm.model.taxon,eu.etaxonomy.cdm.model.media,eu.etaxonomy.cdm.model.description",
- eu.etaxonomy.cdm.aspectj;
-  uses:="org.apache.log4j,
-   org.aspectj.lang,
-   org.aspectj.runtime.internal,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.common;uses:="org.jdom.output,org.jdom",
+ eu.etaxonomy.cdm.api.service.pager.impl,
+ eu.etaxonomy.cdm.api.service.search,
+ eu.etaxonomy.cdm.api.service.statistics,
+ eu.etaxonomy.cdm.api.service.util,
+ eu.etaxonomy.cdm.api.utility,
+ eu.etaxonomy.cdm.aspectj,
+ eu.etaxonomy.cdm.common,
  eu.etaxonomy.cdm.common.media,
  eu.etaxonomy.cdm.common.monitor,
- eu.etaxonomy.cdm.database;
-  uses:="org.springframework.transaction,
-   org.apache.log4j,
-   eu.etaxonomy.cdm.model.name,
-   org.springframework.beans.factory.config,
-   eu.etaxonomy.cdm.persistence.dao.common,
-   org.springframework.jdbc.datasource.lookup,
-   eu.etaxonomy.cdm.database.types,
-   org.apache.commons.dbcp,
-   org.hibernate,
-   javax.sql,
-   org.hsqldb,
-   org.h2.tools,
-   org.springframework.transaction.support,
-   org.springframework.jdbc.datasource,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.database.types;uses:="eu.etaxonomy.cdm.database",
+ eu.etaxonomy.cdm.config,
+ eu.etaxonomy.cdm.database,
+ eu.etaxonomy.cdm.database.types,
  eu.etaxonomy.cdm.database.update,
+ eu.etaxonomy.cdm.database.update.permissions,
+ eu.etaxonomy.cdm.database.update.v24_25,
+ eu.etaxonomy.cdm.database.update.v25_30,
+ eu.etaxonomy.cdm.database.update.v30_31,
  eu.etaxonomy.cdm.ext.bci,
  eu.etaxonomy.cdm.ext.common,
  eu.etaxonomy.cdm.ext.dc,
@@ -115,338 +41,144 @@ Export-Package: com.google.api,
  eu.etaxonomy.cdm.ext.ipni,
  eu.etaxonomy.cdm.ext.openurl,
  eu.etaxonomy.cdm.ext.sru,
- eu.etaxonomy.cdm.hibernate;uses:="org.hibernate.search.bridge",
- eu.etaxonomy.cdm.io.berlinModel;
-  uses:="eu.etaxonomy.cdm.io.common.mapping,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.common,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.berlinModel.in;
-  uses:="eu.etaxonomy.cdm.io.common.mapping,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.media,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.berlinModel.out;
-  uses:="eu.etaxonomy.cdm.io.common.mapping,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.io.berlinModel.out.mapper,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.berlinModel.out.mapper;
-  uses:="eu.etaxonomy.cdm.io.berlinModel.out,
-   eu.etaxonomy.cdm.io.common.mapping,
-   eu.etaxonomy.cdm.model.reference,
-   org.joda.time,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.common;
-  uses:="eu.etaxonomy.cdm.io.common.mapping,
-   org.springframework.transaction,
-   org.apache.log4j,
-   eu.etaxonomy.cdm.api.application,
-   eu.etaxonomy.cdm.model.name,
-   org.springframework.context,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.api.service,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.location,
-   org.joda.time,
-   org.hibernate,
-   org.jdom,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
+ eu.etaxonomy.cdm.hibernate,
+ eu.etaxonomy.cdm.hibernate.search,
+ eu.etaxonomy.cdm.io.api.application,
+ eu.etaxonomy.cdm.io.berlinModel,
+ eu.etaxonomy.cdm.io.berlinModel.in,
+ eu.etaxonomy.cdm.io.berlinModel.in.validation,
+ eu.etaxonomy.cdm.io.berlinModel.out,
+ eu.etaxonomy.cdm.io.berlinModel.out.mapper,
+ eu.etaxonomy.cdm.io.common,
+ eu.etaxonomy.cdm.io.common.events,
+ eu.etaxonomy.cdm.io.common.mapping,
+ eu.etaxonomy.cdm.io.common.mapping.out,
+ eu.etaxonomy.cdm.io.csv.redlist.out,
+ eu.etaxonomy.cdm.io.dwca,
+ eu.etaxonomy.cdm.io.dwca.in,
+ eu.etaxonomy.cdm.io.dwca.jaxb,
  eu.etaxonomy.cdm.io.dwca.out,
- eu.etaxonomy.cdm.io.excel.common;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.api.application,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common",
- eu.etaxonomy.cdm.io.excel.distribution;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.io.excel.common,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common",
- eu.etaxonomy.cdm.io.excel.taxa;
-  uses:="eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.io.excel.common,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common",
- eu.etaxonomy.cdm.io.jaxb;
-  uses:="org.apache.log4j,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   org.xml.sax,
-   eu.etaxonomy.cdm.api.service,
-   javax.xml.bind.helpers,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.taxon,
-   org.springframework.oxm.jaxb,
-   org.w3c.dom.ls,
-   javax.xml.transform,
-   com.sun.xml.bind,
-   javax.xml.validation,
-   javax.xml.transform.sax,
-   javax.xml.bind,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.reference.endnote.in;
-  uses:="eu.etaxonomy.cdm.io.tcsxml.in,
-   eu.etaxonomy.cdm.io.tcsxml,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.io.tcsrdf,
-   org.jdom,
-   eu.etaxonomy.cdm.common,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.sdd;
-  uses:="eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.reference,
-   org.jdom,
-   org.apache.xerces.dom,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
+ eu.etaxonomy.cdm.io.excel.common,
+ eu.etaxonomy.cdm.io.excel.distribution,
+ eu.etaxonomy.cdm.io.excel.taxa,
+ eu.etaxonomy.cdm.io.jaxb,
+ eu.etaxonomy.cdm.io.markup,
+ eu.etaxonomy.cdm.io.markup.handler,
+ eu.etaxonomy.cdm.io.pilotOutputHtml,
+ eu.etaxonomy.cdm.io.profiler,
+ eu.etaxonomy.cdm.io.reference.endnote.in,
+ eu.etaxonomy.cdm.io.sdd,
+ eu.etaxonomy.cdm.io.sdd.ikeyplus,
  eu.etaxonomy.cdm.io.sdd.in,
  eu.etaxonomy.cdm.io.sdd.out,
- eu.etaxonomy.cdm.io.specimen.abcd206.in;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.io.specimen,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common",
+ eu.etaxonomy.cdm.io.specimen,
+ eu.etaxonomy.cdm.io.specimen.abcd206.in,
  eu.etaxonomy.cdm.io.specimen.excel.in,
- eu.etaxonomy.cdm.io.taxonx;
-  uses:="eu.etaxonomy.cdm.api.application,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.occurrence,
-   org.jdom,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.tcsrdf;
-  uses:="eu.etaxonomy.cdm.io.common.mapping,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.name,
-   org.jdom,
-   eu.etaxonomy.cdm.io.berlinModel,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.tcsxml;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.io.tcsxml.in,
-   org.jdom,
-   eu.etaxonomy.cdm.common,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.tcsxml.in;
-  uses:="eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.io.tcsxml,
-   eu.etaxonomy.cdm.database,
-   eu.etaxonomy.cdm.io.common,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.io.tcsrdf,
-   org.jdom,
-   eu.etaxonomy.cdm.common,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.io.tcsxml.out;uses:="eu.etaxonomy.cdm.database,eu.etaxonomy.cdm.io.common",
- eu.etaxonomy.cdm.jaxb;
-  uses:="com.sun.xml.bind.v2.runtime,
-   org.joda.time,
-   com.sun.xml.bind,
-   com.sun.xml.bind.marshaller,
-   javax.xml.bind.annotation.adapters,
-   com.sun.xml.bind.v2.runtime.reflect,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.agent;
-  uses:="eu.etaxonomy.cdm.model.location,
-   org.springframework.beans.factory.aspectj,
-   org.apache.log4j,
-   eu.etaxonomy.cdm.model.media,
-   eu.etaxonomy.cdm.strategy.match,
-   eu.etaxonomy.cdm.strategy.merge,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.common;
-  uses:="org.apache.log4j,
-   org.hibernate.collection,
-   org.springframework.security.core,
-   org.xml.sax,
-   eu.etaxonomy.cdm.strategy.cache.common,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.strategy.parser,
-   org.joda.time,
-   org.hibernate.persister.collection,
-   javax.wsdl.xml,
-   au.com.bytecode.opencsv,
-   eu.etaxonomy.cdm.model.agent,
-   org.hibernate.engine,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.model.description,
-   javax.wsdl,
-   eu.etaxonomy.cdm.model.common.init,
-   eu.etaxonomy.cdm.model.media,
-   org.springframework.security.core.userdetails,
-   org.hibernate.usertype",
- eu.etaxonomy.cdm.model.common.init;uses:="eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.description;
-  uses:="eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.location,
-   org.springframework.beans.factory.aspectj,
-   eu.etaxonomy.cdm.model.media,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.model.occurrence,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.location;uses:="eu.etaxonomy.cdm.model.media,au.com.bytecode.opencsv,eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.media;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   org.apache.log4j,
-   org.joda.time,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.molecular;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   org.springframework.beans.factory.aspectj,
-   eu.etaxonomy.cdm.model.media,
-   org.joda.time,
-   eu.etaxonomy.cdm.model.occurrence,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.name;
-  uses:="org.springframework.beans.factory.aspectj,
-   org.apache.log4j,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.strategy.parser,
-   eu.etaxonomy.cdm.strategy.match,
-   au.com.bytecode.opencsv,
-   eu.etaxonomy.cdm.model.occurrence,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.occurrence;
-  uses:="org.springframework.beans.factory.aspectj,
-   org.apache.log4j,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.location,
-   eu.etaxonomy.cdm.model.taxon,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.model.media,
-   org.joda.time,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.reference;
-  uses:="org.springframework.beans.factory.aspectj,
-   org.apache.log4j,
-   eu.etaxonomy.cdm.strategy.cache.common,
-   eu.etaxonomy.cdm.strategy.parser,
-   eu.etaxonomy.cdm.model.media,
-   eu.etaxonomy.cdm.strategy.match,
-   eu.etaxonomy.cdm.strategy.cache.reference,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.strategy.merge,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.taxon;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   org.springframework.beans.factory.aspectj,
-   org.apache.log4j,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.model.view;
-  uses:="eu.etaxonomy.cdm.model.reference,
-   org.joda.time,
-   org.hibernate.envers,
-   eu.etaxonomy.cdm.model.common",
+ eu.etaxonomy.cdm.io.taxonx,
+ eu.etaxonomy.cdm.io.tcsrdf,
+ eu.etaxonomy.cdm.io.tcsxml,
+ eu.etaxonomy.cdm.io.tcsxml.in,
+ eu.etaxonomy.cdm.io.tcsxml.out,
+ eu.etaxonomy.cdm.jaxb,
+ eu.etaxonomy.cdm.model,
+ eu.etaxonomy.cdm.model.agent,
+ eu.etaxonomy.cdm.model.common,
+ eu.etaxonomy.cdm.model.common.init,
+ eu.etaxonomy.cdm.model.description,
+ eu.etaxonomy.cdm.model.location,
+ eu.etaxonomy.cdm.model.media,
+ eu.etaxonomy.cdm.model.molecular,
+ eu.etaxonomy.cdm.model.name,
+ eu.etaxonomy.cdm.model.occurrence,
+ eu.etaxonomy.cdm.model.reference,
+ eu.etaxonomy.cdm.model.taxon,
+ eu.etaxonomy.cdm.model.view,
+ eu.etaxonomy.cdm.model.view.context,
+ eu.etaxonomy.cdm.persistence.dao,
+ eu.etaxonomy.cdm.persistence.dao.agent,
+ eu.etaxonomy.cdm.persistence.dao.common,
  eu.etaxonomy.cdm.persistence.dao.description,
- eu.etaxonomy.cdm.persistence.hibernate;
-  uses:="org.apache.log4j,
-   org.hibernate.persister.entity,
-   org.hibernate,
-   org.hibernate.type,
-   org.hibernate.event,
-   eu.etaxonomy.cdm.model.common",
+ eu.etaxonomy.cdm.persistence.dao.hibernate,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.agent,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.common,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.description,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.media,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.name,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.occurrence,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.reference,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.taxon,
+ eu.etaxonomy.cdm.persistence.dao.hibernate.view,
+ eu.etaxonomy.cdm.persistence.dao.media,
+ eu.etaxonomy.cdm.persistence.dao.name,
+ eu.etaxonomy.cdm.persistence.dao.occurrence,
+ eu.etaxonomy.cdm.persistence.dao.reference,
+ eu.etaxonomy.cdm.persistence.dao.taxon,
+ eu.etaxonomy.cdm.persistence.fetch,
+ eu.etaxonomy.cdm.persistence.hibernate,
  eu.etaxonomy.cdm.persistence.hibernate.permission,
- eu.etaxonomy.cdm.persistence.query;uses:="org.hibernate,org.hibernate.envers.query,org.hibernate.criterion",
+ eu.etaxonomy.cdm.persistence.hibernate.permission.voter,
+ eu.etaxonomy.cdm.persistence.hibernate.replace,
+ eu.etaxonomy.cdm.persistence.hibernate.replace.impl,
+ eu.etaxonomy.cdm.persistence.query,
+ eu.etaxonomy.cdm.persistence.view,
  eu.etaxonomy.cdm.print,
  eu.etaxonomy.cdm.print.out,
  eu.etaxonomy.cdm.print.out.odf,
  eu.etaxonomy.cdm.print.out.pdf,
  eu.etaxonomy.cdm.print.out.taxpub,
  eu.etaxonomy.cdm.print.out.xml,
- eu.etaxonomy.cdm.remote.controller;
-  uses:="org.apache.commons.logging,
-   eu.etaxonomy.cdm.api.facade,
-   org.apache.log4j,
-   org.springmodules.cache.provider,
-   eu.etaxonomy.cdm.remote.editor,
-   org.springmodules.cache,
-   org.springframework.web.servlet,
-   eu.etaxonomy.cdm.model.description,
-   eu.etaxonomy.cdm.api.service,
-   org.springframework.web.bind,
-   org.joda.time,
-   eu.etaxonomy.cdm.persistence.query,
-   eu.etaxonomy.cdm.api.service.pager,
-   eu.etaxonomy.cdm.remote.dto.oaipmh,
-   eu.etaxonomy.cdm.model.common,
-   javax.servlet.http",
- eu.etaxonomy.cdm.remote.view;
-  uses:="org.springframework.oxm,
-   org.apache.log4j,
-   org.springframework.web.servlet.view,
-   org.springframework.web.servlet,
-   org.springframework.util,
-   net.sf.json,
-   net.sf.dozer.util.mapping,
-   org.springframework.web.servlet.view.xslt,
-   javax.xml.transform,
-   eu.etaxonomy.cdm.remote.dto.oaipmh,
-   org.springframework.beans.factory,
-   javax.servlet.http",
+ eu.etaxonomy.cdm.remote.config,
+ eu.etaxonomy.cdm.remote.controller,
+ eu.etaxonomy.cdm.remote.controller.csv,
+ eu.etaxonomy.cdm.remote.controller.dto,
+ eu.etaxonomy.cdm.remote.controller.ext,
+ eu.etaxonomy.cdm.remote.controller.interceptor,
+ eu.etaxonomy.cdm.remote.controller.oaipmh,
+ eu.etaxonomy.cdm.remote.controller.util,
+ eu.etaxonomy.cdm.remote.dto.assembler,
+ eu.etaxonomy.cdm.remote.dto.assembler.converter,
+ eu.etaxonomy.cdm.remote.dto.common,
+ eu.etaxonomy.cdm.remote.dto.dc,
+ eu.etaxonomy.cdm.remote.dto.dwc,
+ eu.etaxonomy.cdm.remote.dto.namecatalogue,
+ eu.etaxonomy.cdm.remote.dto.oaipmh,
+ eu.etaxonomy.cdm.remote.dto.polytomouskey,
+ eu.etaxonomy.cdm.remote.dto.tdwg,
+ eu.etaxonomy.cdm.remote.dto.tdwg.voc,
+ eu.etaxonomy.cdm.remote.editor,
+ eu.etaxonomy.cdm.remote.exception,
+ eu.etaxonomy.cdm.remote.json,
+ eu.etaxonomy.cdm.remote.json.processor,
+ eu.etaxonomy.cdm.remote.json.processor.bean,
+ eu.etaxonomy.cdm.remote.json.processor.matcher,
+ eu.etaxonomy.cdm.remote.json.processor.value,
+ eu.etaxonomy.cdm.remote.json.util,
+ eu.etaxonomy.cdm.remote.l10n,
+ eu.etaxonomy.cdm.remote.service,
+ eu.etaxonomy.cdm.remote.view,
+ eu.etaxonomy.cdm.remote.view.oaipmh,
+ eu.etaxonomy.cdm.remote.view.oaipmh.dc,
+ eu.etaxonomy.cdm.remote.view.oaipmh.dwc,
+ eu.etaxonomy.cdm.remote.view.oaipmh.rdf,
  eu.etaxonomy.cdm.strategy,
- eu.etaxonomy.cdm.strategy.cache.agent;
-  uses:="eu.etaxonomy.cdm.strategy.cache.common,
-   eu.etaxonomy.cdm.strategy,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.strategy.cache.common;uses:="eu.etaxonomy.cdm.strategy,eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.strategy.cache.name;
-  uses:="eu.etaxonomy.cdm.strategy.cache.common,
-   eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.strategy,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.strategy.cache.reference;
-  uses:="eu.etaxonomy.cdm.strategy.cache.common,
-   eu.etaxonomy.cdm.model.reference,
-   eu.etaxonomy.cdm.strategy,
-   eu.etaxonomy.cdm.model.common",
+ eu.etaxonomy.cdm.strategy.cache,
+ eu.etaxonomy.cdm.strategy.cache.agent,
+ eu.etaxonomy.cdm.strategy.cache.common,
+ eu.etaxonomy.cdm.strategy.cache.description,
+ eu.etaxonomy.cdm.strategy.cache.media,
+ eu.etaxonomy.cdm.strategy.cache.name,
+ eu.etaxonomy.cdm.strategy.cache.occurrence,
+ eu.etaxonomy.cdm.strategy.cache.reference,
+ eu.etaxonomy.cdm.strategy.cache.taxon,
  eu.etaxonomy.cdm.strategy.exceptions,
- eu.etaxonomy.cdm.strategy.match;uses:="eu.etaxonomy.cdm.strategy,eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.strategy.merge;uses:="eu.etaxonomy.cdm.strategy,eu.etaxonomy.cdm.model.common",
- eu.etaxonomy.cdm.strategy.parser;
-  uses:="eu.etaxonomy.cdm.model.name,
-   eu.etaxonomy.cdm.strategy,
-   eu.etaxonomy.cdm.model.agent,
-   eu.etaxonomy.cdm.model.common",
+ eu.etaxonomy.cdm.strategy.generate,
+ eu.etaxonomy.cdm.strategy.match,
+ eu.etaxonomy.cdm.strategy.merge,
+ eu.etaxonomy.cdm.strategy.parser,
+ eu.etaxonomy.cdm.strategy.parser.location,
+ eu.etaxonomy.cdm.validation.annotation,
+ eu.etaxonomy.cdm.validation.constraint,
+ eu.etaxonomy.remote.dto.rdf,
  junit.framework;uses:="org.junit.runner.manipulation,org.junit.runner,org.junit.runner.notification",
  net.sf.json;uses:="net.sf.json.processors,net.sf.json.util,org.apache.commons.lang.exception",
  org.apache.commons.collections;uses:="org.apache.commons.collections.keyvalue,new org.apache.commons.collections",
diff --git a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
index d76e0d91a..5f4ddb41f 100644
--- a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
@@ -55,7 +55,8 @@ Require-Bundle: org.eclipse.osgi,
  org.eclipse.ui,
  org.eclipse.jface.text,
  org.eclipse.ui.forms,
- eu.etaxonomy.taxeditor.cdmlib
+ eu.etaxonomy.taxeditor.cdmlib,
+ org.eclipse.nebula.widgets.compositetable;bundle-version="1.0.0"
 Import-Package: org.eclipse.core.commands,
  org.eclipse.core.commands.operations,
  org.eclipse.core.expressions,
@@ -66,7 +67,6 @@ Import-Package: org.eclipse.core.commands,
  org.eclipse.jface.preference,
  org.eclipse.jface.resource,
  org.eclipse.jface.viewers,
- org.eclipse.nebula.widgets.compositetable,
  org.eclipse.swt,
  org.eclipse.swt.graphics,
  org.eclipse.swt.widgets,
diff --git a/eu.etaxonomy.taxeditor/rcp.target b/eu.etaxonomy.taxeditor/rcp.target
index f58b4690f..89e83ad78 100644
--- a/eu.etaxonomy.taxeditor/rcp.target
+++ b/eu.etaxonomy.taxeditor/rcp.target
@@ -1,15 +1,14 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-
-<target name="Eclipse Indigo Target" sequenceNumber="4">
+<?pde version="3.8"?><target name="Eclipse Indigo Target" sequenceNumber="5">
 <locations>
-<location includeAllPlatforms="true" includeMode="slicer" includeSource="true" type="InstallableUnit">
+<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
 <unit id="org.eclipse.swtbot.eclipse.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
 <unit id="org.eclipse.swtbot.eclipse.gef.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
 <unit id="org.eclipse.swtbot.ide.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
 <unit id="org.eclipse.swtbot.eclipse.test.junit4.feature.group" version="2.0.5.20111003_1754-3676ac8-dev-e36"/>
 <repository location="http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site"/>
 </location>
-<location includeAllPlatforms="true" includeMode="slicer" includeSource="true" type="InstallableUnit">
+<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
 <unit id="org.eclipse.jdt.feature.group" version="3.7.1.r371_v20110810-0800-7z8gFcoFMLfTabvKsR5Qm9rBGEBK"/>
 <unit id="org.eclipse.pde.source.feature.group" version="3.7.1.r37x_v20110810-0800-7b7qFVtFEx2XnmZ4jlM5mjM"/>
 <unit id="org.eclipse.platform.feature.group" version="3.7.1.r37x_v20110729-9gF7UHOxFtniV7mI3T556iZN9AU8bEZ1lHMcVK"/>
@@ -23,5 +22,9 @@
 <unit id="org.eclipse.zest.sdk.feature.group" version="1.3.0.v20110425-2050-67C08COMOGAKRUKGP_ULXbePP8ZT"/>
 <repository location="http://download.eclipse.org/releases/indigo"/>
 </location>
+<location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
+<unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201304110956"/>
+<repository location="http://download.eclipse.org/technology/nebula/snapshot"/>
+</location>
 </locations>
 </target>
